
Redmine - Defect #11028

Project identifier can be updated

2012-05-25 17:32 - Florian Schwab

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version: 2.0.1   

Resolution: Fixed Affected version: 2.0.0

Description

The identifier_frozen? method on projects always returns false.

"errors[:identifier]" is an array, so "errors[:identifier].nil?" will always be false. (Project.rb:133)

Associated revisions

Revision 9710 - 2012-05-25 18:43 - Jean-Philippe Lang

Fixed that project identifier can always be updated (#11028).

History

#1 - 2012-05-25 17:42 - Etienne Massip

- Subject changed from identifier_frozen? doesn't work as expected to Project identifier can be updated

- Status changed from New to Confirmed

- Target version set to 2.0.1

Indeed.

#2 - 2012-05-25 18:43 - Jean-Philippe Lang

- Status changed from Confirmed to Resolved

- Resolution set to Fixed

Fixed in r9710.

#3 - 2012-05-26 11:51 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.
